window.Gleam.initSearch([{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":"# Glacier&#39;s gleeunit\n\n**WARNING: DO NOT install `gleeunit` and `glacier_gleeunit` side by side in the same project.**\n\nThis is a fork of [`gleeunit`](https://hex.pm/packages/gleeunit) that allows\n`gleeunit` to be both called:\n\n1. with one or many given Gleam test modules instead of running all of them.\n2. as a library function with a list of test modules instead of just\n   via `gleam test` CLI.\n\nThe combination of both allows unit tests to be executed from `glacier` which figures out which test modules to run.\n\nAs a side effect you can run single test modules with `glacier_gleeunit` from\nthe CLI.\n\n`gleeunit` and `glacier_gleeunit` cannot be installed as a dependency at the same time, because:\n\n- `glacier_gleeunit` is meant as a straightforward replacement for `gleeunit`.\n- `glacier_gleeunit` tries to stay up to date with `gleeunit` upstream,\n   back-porting any changes made there.\n- As a consequence `glacier_gleeunit` uses the same Gleam module files and thus\n  the modules would collide if both are installed.\n\n**This is a dependency of [Glacier](https://hex.pm/packages/glacier), an incremental interactive unit testing tool for Gleam**.\n\n## Usage\n\nRemove `gleeunit` and add this package to your Gleam project.\n\n```shell\ngleam remove gleeunit\ngleam add glacier_gleeunit --dev\n```\n\n* * *\n\nFor further usage instructions, see [gleeunit&#39;s README.md](./README.md).\n","url":"index.html"},{"doc":"gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n Find and run all test functions for the current project using Erlang&#39;s EUnit\n test framework.\n\n Any Erlang or Gleam function in the `test` directory with a name editing in\n `_test` is considered a test function and will be run.\n\n If running on JavaScript tests will be run with a custom test runner.\n\nSynonyms:\ngleeunit.main\ngleeunit main","url":"gleeunit.html#main"},{"doc":"gleeunit","title":"run","content":"pub fn run(\n  test_module_files: List(String),\n  halts_on_error halts_on_error: Bool,\n) -&gt; Nil\n Similar to `main()` but meant to be called as a function not from cli:\n - Allows to specificy a list of test modules\n - Allows customization of the halt behavior\n\nSynonyms:\ngleeunit.run\ngleeunit run","url":"gleeunit.html#run"},{"doc":"gleeunit","title":"gleeunit","content":"","url":"gleeunit.html"},{"doc":"glacier_gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nglacier_gleeunit.main\nglacier_gleeunit main","url":"glacier_gleeunit.html#main"},{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":" This file exists merely as a proxy module and should not be merged into gleeunit\n","url":"glacier_gleeunit.html"},{"doc":"gleeunit/should","title":"be_error","content":"pub fn be_error(a: Result(a, b)) -&gt; b\n\nSynonyms:\ngleeunit/should.be_error\ngleeunit/should be_error","url":"gleeunit/should.html#be_error"},{"doc":"gleeunit/should","title":"be_false","content":"pub fn be_false(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_false\ngleeunit/should be_false","url":"gleeunit/should.html#be_false"},{"doc":"gleeunit/should","title":"be_none","content":"pub fn be_none(a: Option(a)) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_none\ngleeunit/should be_none","url":"gleeunit/should.html#be_none"},{"doc":"gleeunit/should","title":"be_ok","content":"pub fn be_ok(a: Result(a, b)) -&gt; a\n\nSynonyms:\ngleeunit/should.be_ok\ngleeunit/should be_ok","url":"gleeunit/should.html#be_ok"},{"doc":"gleeunit/should","title":"be_some","content":"pub fn be_some(a: Option(a)) -&gt; a\n\nSynonyms:\ngleeunit/should.be_some\ngleeunit/should be_some","url":"gleeunit/should.html#be_some"},{"doc":"gleeunit/should","title":"be_true","content":"pub fn be_true(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_true\ngleeunit/should be_true","url":"gleeunit/should.html#be_true"},{"doc":"gleeunit/should","title":"equal","content":"pub fn equal(a: a, b: a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.equal\ngleeunit/should equal","url":"gleeunit/should.html#equal"},{"doc":"gleeunit/should","title":"fail","content":"pub fn fail() -&gt; Nil\n\nSynonyms:\ngleeunit/should.fail\ngleeunit/should fail","url":"gleeunit/should.html#fail"},{"doc":"gleeunit/should","title":"not_equal","content":"pub fn not_equal(a: a, b: a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.not_equal\ngleeunit/should not_equal","url":"gleeunit/should.html#not_equal"},{"doc":"gleeunit/should","title":"gleeunit/should","content":" A module for testing your Gleam code. The functions found here are\n compatible with the Erlang eunit test framework.\n\n More information on running eunit can be found in [the rebar3\n documentation](https://rebar3.org/docs/testing/eunit/).","url":"gleeunit/should.html"}]);